Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BehaviorTeamMessage Class Reference

Represents a message that is exchanged between the behaviors of different robots. More...

`#include <BehaviorTeamMessage.h>`

List of all members.

## Public Types
enum | Kickoff { sizeofKickoff = 3 }
| The time that the sender of the message estimates for reaching the kickoff pos. More...
enum | Message { none, justPerformedAKick, performingAKick, preparingAKick, dribbleBall, preparingAPass, passing, sync, moveForward, turn }
| Different discrete messages that can be exchanged. More...
enum | GameState { sleep, initial, ready, set, playing, penalized, finished }
| The game state of the sender. More...
enum | DynamicRole { goalie, striker, offensiveSupporter, defensiveSupporter }
| The dynamic role of the sender. More...
enum | StrikerCommand { noCommand, goToPosition, wingman }
| Command from the Striker for the offensive Supporter. More...
enum | { numberOfStrikerCommandParameters = 3 }
## Public Member Functions
| BehaviorTeamMessage ()
| Constructor.
const char * | getRoleAsString () const
## Static Public Member Functions
const char * | getRoleString (DynamicRole role)
## Public Attributes
double | estimatedTimeToReachBall
| The time that the sender of the message estimates for reaching the ball.
double | estimatedTimeToReachKickoff [sizeofKickoff]
int | numberOfTheChoosenPassPartner
Message | message
| the message
enum BehaviorTeamMessage::GameState | gameState
| The game state of the sender.
enum BehaviorTeamMessage::DynamicRole | dynamicRole
| The dynamic role of the sender.
unsigned long | timeSinceRoleChange
enum BehaviorTeamMessage::StrikerCommand | strikerCommand
| Command from the Striker for the offensive Supporter.
double | strikerCommandParameter [numberOfStrikerCommandParameters]

## Detailed Description

Represents a message that is exchanged between the behaviors of different robots.

Author:
  Martin Loetzsch

Definition at line 25 of file BehaviorTeamMessage.h.

## Member Enumeration Documentation

enum BehaviorTeamMessage::Kickoff

  | The time that the sender of the message estimates for reaching the kickoff pos. Enumeration values:
  sizeofKickoff |
Definition at line 37 of file BehaviorTeamMessage.h.

enum BehaviorTeamMessage::Message

  | Different discrete messages that can be exchanged. Used by XabslBehaviorControl. Enumeration values:
  none | no message
  justPerformedAKick | The player performed a kick. Used by GT2003BehaviorControl
  performingAKick | The player performes a kick. Used by GT2003BehaviorControl
  preparingAKick | The player prepares a kick. Used by GT2003BehaviorControl
  dribbleBall |
  preparingAPass | The player prepare a pass to an other teammate
  passing | The player passes the ball towards the teammate
  sync | The player sends a sync signal. Used to synchronise behavior
  moveForward | Tells the team to move forward. Used for Open Challenge 2005 (Blind Dog)
  turn | Tells the team to turn on a point
Definition at line 51 of file BehaviorTeamMessage.h.

enum BehaviorTeamMessage::GameState

  | The game state of the sender. Used by Humboldt2003BehaviorControl and GT2003BehaviorControl. Enumeration values:
  sleep |
  initial |
  ready |
  set |
  playing |
  penalized |
  finished |
Definition at line 73 of file BehaviorTeamMessage.h.

enum BehaviorTeamMessage::DynamicRole

  | The dynamic role of the sender. Used by DDD2003BehaviorControl and GT2003BehaviorControl. Enumeration values:
  goalie |
  striker |
  offensiveSupporter |
  defensiveSupporter |
Definition at line 79 of file BehaviorTeamMessage.h.

enum BehaviorTeamMessage::StrikerCommand

  | Command from the Striker for the offensive Supporter. Enumeration values:
  noCommand |
  goToPosition |
  wingman |
Definition at line 104 of file BehaviorTeamMessage.h.

anonymous enum

  | Enumeration values:
  numberOfStrikerCommandParameters |
Definition at line 111 of file BehaviorTeamMessage.h.

## Constructor & Destructor Documentation

BehaviorTeamMessage::BehaviorTeamMessage | ( |  | ) |

| Constructor. Definition at line 11 of file BehaviorTeamMessage.cpp. References estimatedTimeToReachKickoff, numberOfStrikerCommandParameters, numberOfTheChoosenPassPartner, sizeofKickoff, and strikerCommandParameter.

## Member Function Documentation

const char* BehaviorTeamMessage::getRoleAsString | ( |  | ) | const`[inline]`

| Definition at line 115 of file BehaviorTeamMessage.h. References dynamicRole, and getRoleString().

Here is the call graph for this function:

const char* BehaviorTeamMessage::getRoleString | ( | DynamicRole | role | ) | `[inline, static]`

| Definition at line 117 of file BehaviorTeamMessage.h. References defensiveSupporter, offensiveSupporter, and striker. Referenced by getRoleAsString().

## Member Data Documentation

double BehaviorTeamMessage::estimatedTimeToReachBall

| The time that the sender of the message estimates for reaching the ball. Definition at line 34 of file BehaviorTeamMessage.h. Referenced by operator<<(), operator>>(), and GT2005StrategySymbols::update().

double BehaviorTeamMessage::estimatedTimeToReachKickoff[sizeofKickoff]

| Definition at line 41 of file BehaviorTeamMessage.h. Referenced by BehaviorTeamMessage(), GT2005ConfigurationSymbols::computeKickoffRole(), operator<<(), and operator>>().

int BehaviorTeamMessage::numberOfTheChoosenPassPartner

| Definition at line 46 of file BehaviorTeamMessage.h. Referenced by BehaviorTeamMessage(), operator<<(), and operator>>().

Message BehaviorTeamMessage::message

| the message Definition at line 67 of file BehaviorTeamMessage.h. Referenced by OpenChallengeSymbols::guideDogMoveForward(), OpenChallengeSymbols::guideDogTellsBlindDogTurn(), operator<<(), operator>>(), GT2005BehaviorControl::preExecute(), and GT2005StrategySymbols::registerSymbols().

enum BehaviorTeamMessage::GameState BehaviorTeamMessage::gameState

| The game state of the sender. Used by Humboldt2003BehaviorControl and GT2003BehaviorControl. Referenced by operator<<(), operator>>(), GT2005BehaviorControl::postExecute(), and GT2005StrategySymbols::registerSymbols().

enum BehaviorTeamMessage::DynamicRole BehaviorTeamMessage::dynamicRole

| The dynamic role of the sender. Used by DDD2003BehaviorControl and GT2003BehaviorControl. Referenced by getRoleAsString(), operator<<(), operator>>(), and GT2005StrategySymbols::update().

unsigned long BehaviorTeamMessage::timeSinceRoleChange

| Definition at line 81 of file BehaviorTeamMessage.h. Referenced by operator<<(), operator>>(), and GT2005StrategySymbols::update().

enum BehaviorTeamMessage::StrikerCommand BehaviorTeamMessage::strikerCommand

| Command from the Striker for the offensive Supporter. Referenced by operator<<(), and operator>>().

double BehaviorTeamMessage::strikerCommandParameter[numberOfStrikerCommandParameters]

| Definition at line 113 of file BehaviorTeamMessage.h. Referenced by BehaviorTeamMessage(), operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Representations/WLan/BehaviorTeamMessage.h
- Representations/WLan/BehaviorTeamMessage.cpp